@import '../../../../../scss/variables';
@import '../../../../../scss/portal-communes';
@import '../../../../../../node_modules/bulma/sass/utilities/_all.sass';

header {
  height: 100%;
}

.navbar-header {
  display: flex;
  justify-content: space-between;
  height: 100%;
  align-items: center;
  padding: 1rem;

  @media screen and (min-width: $tablet) {
    margin-right: 4.5rem; // To avoid the header content to be under the feedback button

  }

  @media screen and(max-width:$tablet) {
    padding-top: 0.7rem;
    flex-wrap: wrap;

    .navbar-header-item:nth-of-type(1) {
      order: 1
    }

    .navbar-header-item:nth-of-type(2) {
      order: 2
    }

    .navbar-header-item:nth-of-type(3) {
      order: 4
    }

    .navbar-header-item:nth-of-type(4) {
      order: 3
    }
  }
}


.is-home .navbar-header {
  margin-right: 0;
}

.text-overflow {
  overflow: hidden;
  text-overflow: ellipsis;
}

.hamburger {
  display: flex;
  padding: 0.5rem;
}

.hamburger.is-active {
  background-color: var( --commune-color-var, $brand-color);
}

svg {
  height: 21px;
  stroke: white;
  stroke-width: 1px;
  flex-shrink: 0;

  .stroke_white {
    fill: transparent;
  }
}

.connect-button {
  border-color: white;
  width: 100%;
  background: rgba(0, 0, 0, 0.7);
  padding: 0.5em 1.2em;
  height: 2.5rem;
  font-weight: 600;
  display: flex;
  justify-content: flex-start;
  line-height: 1;
  max-width: 200px;

  span {
    color: white;
  }

  &:hover {
    color: $grey-super-light-color;
  }

  svg {
    margin-right: 0.6rem;
  }

  @media screen and (max-width: $tablet) {
    height: 2.5rem;
    width: 2.5rem;
    padding: 7px;
    justify-content: center;

    svg {
      margin-right: 0;
    }

    span {
      display: none;
    }
  }
}

svg.is-connected {
  .stroke_white {
    fill: white;
  }
}

.svg-alone {
  padding: 0.5rem;
  border: 1px solid white;
  border-radius: 4px;
  cursor: pointer;
  display: flex;
  height: 2.5rem;
  width: 2.5rem;
}

.dropdown-divider {
  width: 80%;
  margin-left: 1rem;
}

.navbar-right-side {
  z-index: 5;
}

.navbar-right-side,
.navbar-left-side {
  display: flex;
  align-items: center;
}

.navbar-right-side .navbar-item {
  padding: 0.5rem 0.5rem 0.5rem 1rem;
}
.navbar-right-home{
  margin-right: 3.5rem;
  @media screen and (max-width: $tablet) {
    margin-right: 0;
  }
}
.navbar-right-side .navbar-item.navbar-item-feedback {
  padding: 0;

  @media screen and (min-width: $tablet) {
    display: none;
  }
}

.logo-grand-lyon {
  height: 3rem;
  max-height: 3rem;
  margin-right: 3rem;
}

.logo-data-beta {
  height: 40px;
  max-height: 1.75rem;
  min-width: 264px;
  
  @media screen and (max-width: $tablet) {
    height: 17px;
  }
}

.logo-data {
  margin-right: auto;
  margin-left: 1rem;

  a {
    display: flex;
  }

  &:hover {
    cursor: pointer;
  }
}

#welcome-menu-items {
  display: flex;
  width: 100%;
  justify-content: space-between;

  .navbar-item, a {
    color: $white;
    font-weight: normal;
    &.is-unactive {
      opacity: 0.8;
    }
    &:last-child {
      margin-left: auto;
    }
  }

  .navbar-dropdown {
    display: none;
  }

  .navbar-item.is-active .navbar-dropdown, .navbar-item.is-hoverable:focus .navbar-dropdown, .navbar-item.is-hoverable:focus-within .navbar-dropdown, .navbar-item.is-hoverable:hover .navbar-dropdown {
    display: block;
  }

  &>.navbar-item, &>.navbar-item .navbar-link {
    font-weight: 600;
  }

  .navbar-link:not(.is-arrowless)::after {
    border-color: $grey-super-light-color;
    border-width: 1px;
  }

  .navbar-item.has-dropdown:focus .navbar-link,
  .navbar-item.has-dropdown:hover .navbar-link,
  .navbar-item.has-dropdown.is-active .navbar-link,
  .navbar-dropdown, .navbar-item {
    background-color: $brand-color;
  }

  .navbar-dropdown {
    border: none;
    padding: 0;
  }
  .dropdown-border {
    position: relative;
    height: 100%;
    margin-top: .95rem;
    padding: 1rem;
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
    border-bottom: 1px solid $grey-super-light-color;
    border-right: 1px solid $grey-super-light-color;
    border-left: 1px solid $grey-super-light-color;
  }
  .navbar-item {
    font-size: 1rem;
  }
}

// When mobile, we center the logo
@media screen and (max-width: $desktop) {
  .icon-hamburger > div {
    margin-right: auto;
  }

  .logo-data {
    margin: auto;
  }
}

.search-bar {
  flex-grow: 0.7;
  padding: 0;
  margin-right: auto;

  @media screen and(max-width:$tablet) {
    width: 100%;
    height: 40px;
    margin-top: 0.7rem;
  }
}

.username {
  margin-right: 1rem;
  font-weight: bold;
  font-size: 1rem;
}

.dropdown-menu {
  margin-top: 0.5rem;
}

.dropdown-item:first-child {
  cursor: default;
  pointer-events: none;

  svg {
    margin-left: -0.2em;
  }
}

.dropdown-item.with-icon {
  display: flex;
  align-items: center;

  &:first-child {
    margin-left: -0.2em;
  }

  span {
    margin-left: 0.5rem;
  }

  svg {
    fill: $brand-color;
  }

  &:hover {
    background-color: white;

    span {
      font-weight: 600;
    }
  }

  &.disconnect {
    background-color: $brand-color;
    margin-top: 0.5rem;
    padding-bottom: 0.6rem;
    padding-top: 0.6rem;
    border-radius: 0 0 4px 4px;

    span {
      color: white;
    }

    &.dropdown-item:hover {
      color: white;
    }

    svg {
      fill: white;
      stroke: $brand-color;
    }
  }
}

.put-menu-to-right {
  position: relative;
  z-index: 15;

  .user-information {
    width: 223px;
    border-radius: 5px;
    display: none;
    position: absolute;
    background-color: white;
    top: 3.6em;
    left: -97px;
    padding-bottom: 0;

    @media screen and (min-width: $tablet) {
      margin-right: 1rem;
    }

    // When tablet, change the position to not be cut
    @media screen and (max-width: $desktop) {
      left: -151px;
    }
  }

  .user-information::before {
    content: "";
    position: absolute;
    width: 12px;
    height: 12px;
    top: -6px;
    left: 50%;
    background: inherit;
    border: inherit;
    border-right: 0;
    border-bottom: 0;
    transform: rotate(45deg);

    // When tablet, change the position to not be cut
    @media screen and (max-width: $desktop) {
      & {
        left: 73%;
      }
    }
  }

  &.is-active {

    .svg-alone,
    .connect-button {
      border-color: $tomato-color;
    }

    .user-information {
      display: block;
    }
  }
}

.connect-me {

  @media screen and (max-width: $tablet),
  (min-width: $desktop) {
    margin-right: 1rem;
  }

  margin-right: 0;
  height: 2.5rem;
}

.connect-me a:hover {
  text-decoration: none;
}

.modal.is-active {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  position: fixed;
  z-index: 10;
  bottom: 0;
  left: 0;
  right: 0;
  top: $header-bar-height;
  background-color: rgba(10, 10, 10, 0.86);
}

.is-home {

  .icon-hamburger {
    z-index: 6;
  }

  .icon-hamburger.is-fixed {
    position: fixed;
    z-index: 10;
    top: 1.4rem;
    left: 1rem;
  }

  @media screen and (max-width: $tablet) {
    .put-menu-to-right {
      width: 142px;
    }
  }

  .modal.is-active {
    top: 0;
  }

  .put-menu-to-right .user-information {
    width: 223px;
    top: calc(100% + 0.5rem);
    left: -36px;

    &::before {
      left: 47%;
    }

    // When tablet, change the position to not be cut
    @media screen and (max-width: $desktop) {
      left: -65px;

      &::before {
        left: 60%;
      }
    }
  }
}

button.feedback-button {
  background-color: $tomato-color;
  display: flex;
  align-items: center;
  padding: 7px;
  cursor: pointer;
  border: none;
  height: 2.5rem;
  width: 2.5rem;
  border-radius: 4px;

  svg {
    stroke: transparent;
    width: 26px;
    min-width: 26px;

    .color-brand {
      fill: $grey-background-color;
    }

    .color-beta {
      fill: $tomato-color;
    }
  }
}
